Package org.apache.axiom.soap

## Class SOAPCloneOptions

- java.lang.Object
- - org.apache.axiom.om.OMCloneOptions
  - - org.apache.axiom.soap.SOAPCloneOptions

-     public class SOAPCloneOptions
      extends OMCloneOptions

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SOAPCloneOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Boolean` | `getProcessedFlag()` | Determine how the `SOAPHeaderBlock.isProcessed()` flag should be set on cloned `SOAPHeaderBlock` nodes.
    `void` | `setProcessedFlag​(Boolean processedFlag)` | Specify how the `SOAPHeaderBlock.isProcessed()` flag should be set on cloned `SOAPHeaderBlock` nodes.

    - ### Methods inherited from class org.apache.axiom.om.OMCloneOptions

      `isCopyOMDataSources, isFetchDataHandlers, isPreserveModel, setCopyOMDataSources, setFetchDataHandlers, setPreserveModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAPCloneOptions

          public SOAPCloneOptions()

  - ### Method Detail

    - #### getProcessedFlag

          public Boolean getProcessedFlag()

      Determine how the `SOAPHeaderBlock.isProcessed()` flag should be set on cloned `SOAPHeaderBlock` nodes. See `setProcessedFlag(Boolean)` for more information about this option.
      Returns:
        the current value of this option

    - #### setProcessedFlag

          public void setProcessedFlag​(Boolean processedFlag)

      Specify how the `SOAPHeaderBlock.isProcessed()` flag should be set on cloned `SOAPHeaderBlock` nodes. If this option is set to `null` (default), the flag will be copied from the original node. Otherwise, the flag will have the value determined by the option value.
      Parameters:
        `processedFlag` - the value to set for this option